Download
Download

Download Manuals, Datasheets, Software and more:

DOWNLOAD TYPE
MODEL or KEYWORD

Can I install new modules in my TLA714+ TLA715 portable and TLA720+ TLA721 benchtop mainframes?

Question :

Can I install new modules in my TLA714+ TLA715 portable and TLA720+ TLA721 benchtop mainframes?

Answer :

Not all the current modules can be used with the older mainframes.  The current modules TLA7Axx and TLA7NAx can be used in the TLA714, TLA720, TLA715, and TLA721 mainframes as long as they are running TLA Application Software v4.4 or above.

However, modules TLA7BBx and TLA7Sxx can not be used in TLA714, TLA720 TLA715, and TLA721 mainframes.


This FAQ Applies to:

Product Series: TLA7000 TLA7000 TLA7000 TLA7000

Product:

FAQ ID 60436

View all FAQs »